org.jbpm.services.task.audit.impl.model

## Class AuditTaskData

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.AuditTaskData

-     public class AuditTaskData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditTaskData(AuditTaskImpl auditTask)`
    `AuditTaskData(AuditTaskImpl auditTask, List<TaskEventImpl> taskEvents)`
    `AuditTaskData(AuditTaskImpl auditTask, List<TaskEventImpl> taskEvents, List<TaskVariableImpl> taskInputs, List<TaskVariableImpl> taskOutputs)`
    `AuditTaskData(AuditTaskImpl auditTask, TaskEventImpl taskEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTaskEvent(TaskEventImpl taskEvent)`
    `AuditTaskImpl` | `getAuditTask()`
    `List<TaskEventImpl>` | `getTaskEvents()`
    `List<TaskVariableImpl>` | `getTaskInputs()`
    `List<TaskVariableImpl>` | `getTaskOutputs()`
    `void` | `setAuditTask(AuditTaskImpl auditTask)`
    `void` | `setTaskEvents(List<TaskEventImpl> taskEvents)`
    `void` | `setTaskInputs(List<TaskVariableImpl> taskInputs)`
    `void` | `setTaskOutputs(List<TaskVariableImpl> taskOutputs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditTaskData

          public AuditTaskData(AuditTaskImpl auditTask)

    - #### AuditTaskData

          public AuditTaskData(AuditTaskImpl auditTask,
                               TaskEventImpl taskEvent)

    - #### AuditTaskData

          public AuditTaskData(AuditTaskImpl auditTask,
                               List<TaskEventImpl> taskEvents)

    - #### AuditTaskData

          public AuditTaskData(AuditTaskImpl auditTask,
                               List<TaskEventImpl> taskEvents,
                               List<TaskVariableImpl> taskInputs,
                               List<TaskVariableImpl> taskOutputs)

  - ### Method Detail

    - #### getAuditTask

          public AuditTaskImpl getAuditTask()

    - #### setAuditTask

          public void setAuditTask(AuditTaskImpl auditTask)

    - #### getTaskEvents

          public List<TaskEventImpl> getTaskEvents()

    - #### setTaskEvents

          public void setTaskEvents(List<TaskEventImpl> taskEvents)

    - #### getTaskInputs

          public List<TaskVariableImpl> getTaskInputs()

    - #### setTaskInputs

          public void setTaskInputs(List<TaskVariableImpl> taskInputs)

    - #### getTaskOutputs

          public List<TaskVariableImpl> getTaskOutputs()

    - #### setTaskOutputs

          public void setTaskOutputs(List<TaskVariableImpl> taskOutputs)

    - #### addTaskEvent

          public void addTaskEvent(TaskEventImpl taskEvent)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.